
Infrastructure - Task #7381

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 7380 (Closed): Check the v1/v2 api methods, which alter the system metadata, how to handle the set of the modification date  and the serial

version

reject to use the v1.cn api calling an object which has a v2 authoritative member

2015-09-23 22:22 - Jing Tao

Status: Closed Start date: 2015-09-23

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Those methods could be:

Those methods should be look are:

CN.setReplicationStatus

CN.setReplicationMetadata

CN.setReplicationPolicy

CN.setAccessPolicy

CN.setObsoletedBy

CN.setArchive

CN.setRightsHolder

CN.registerSystemMetadata

History

#1 - 2015-09-29 22:31 - Jing Tao

It is fine for V1 clients to call the v2 cn to change the system metadata of an object whose authoritative member node is the v1. It follows the figure 2a

on this page:

It is okay for a v1 client to call an object whose authoritative mn is a v2 node for the following three methods.

http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/design/UseCases/42_uc.html

CN.setReplicationStatus (CN and MN)

CN.setReplicationMetadata (updateReplicationMetadata?)  (CN only)

CN.deleteReplicationMetadata

We throw an NotAuthorized Exeption when a v1 client calls CN on an object whose authoriative is the v2

CN.setReplicationPolicy

CN.setAccessPolicy

CN.setArchive

CN.setRightsHolder

CN.setObsoletedBy

CN.registerSystemMetadata (methods callable by CN only)
#2 - 2015-09-29 22:36 - Jing Tao

The NotAuthorized exception looks like:

NotAuthorized ("The Coordinating Node is not authorized to make systemMetadata changes on this object.  Please make changes directly on the

authoritative Member Node.")

#3 - 2015-10-05 23:50 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Those methods were implemented the constrain on both v1 and v2 api:

CN.setReplicationPolicy

CN.setAccessPolicy

CN.setObsoletedBy

CN.setArchive

CN.setRightsHolder
